<template>
	<!-- 账单明细 -->
	<view>
		<view class="bild">
			<view class="bildLeft">
				<text>我的余额</text>
				<view>{{info.amount}}</view>
			</view>
			<view class="bildRight">
				<text>我的积分</text>
				<view>{{info.levelConsume}}</view>
			</view>
		</view>
		<view class="navTop">
			<view @click="clickEvent(1)" :class="[active==1?'fonts':'']">
				余额明细
				<view :class="[active==1?'xian':'']" style="left: 36rpx;"> </view>
			</view>
			<view @click="clickEvent(2)" :class="[active==2?'fonts':'']">
				积分明细
				<view :class="[active==2?'xian':'']" style="left: 36rpx;"> </view>
			</view>
		</view>
		<view class="listStyle" v-for="(item,i) in list" :key="i">
			<!-- <image :src="require('')" style="width: 76rpx;height: 76rpx;float: left;" mode=""></image> -->
			<view class="listrigth">
				<view>{{item.biz_name}}</view>
				<view :class="[checkIn(item.biz_code)?'colorStyle':'']">{{checkIn(item.biz_code)?'+':'-'}}{{item.amount}}</view>
			</view>
			<view class="listrigth2">
				<view>{{$u.timeFormat(item.create_time, 'yyyy-mm-dd hh:MM:ss')}}</view>
				<view>余额:{{item.balance}}</view>
			</view>
		</view>

	</view>
</template>

<script>
	export default {
		data() {
			return {
				active: 1,
				list: [],
				form: {
					page: 1,
					pageSize: 10,
					memberId: null
				},
				info: null
			}
		},
		onLoad(e) {
			this.info = e
			this.form.memberId = e.memberId
			this.getlist()
		},
		onReachBottom() {
			this.getlist()
		},
		methods: {
			// 检测是否包含In
			 checkIn(str) {
			    let reg = RegExp(/In/)
			    return str.match(reg)
			},
			async getlist() {
				if (this.active == 1) {
					let res = await this.api.queryMemberAccount(this.form)
					if (res.code == 0) {
						if (this.form.page == 1) {
							this.list = res.data.list
						} else {
							this.form.page++
							this.list.push(res.data.list)
						}
					}
				} else {
					this.list = []
				}
			},
			clickEvent(i) {
				this.active = i
				this.getlist()
			}
		}
	}
</script>

<style scoped lang="less">
	.bild {
		height: 320rpx;
		background-image: url('https://czg-qr-order.oss-cn-beijing.aliyuncs.com/drder/czmxbg.png');
		background-size: 750rpx 320rpx;
		display: flex;
		justify-content: space-around;
		align-items: center;

		.bildLeft,
		.bildRight {
			font-weight: 400;
			font-size: 32rpx;

			>view,
			>text {
				text-align: center;
				color: #333;
			}

			>view {
				margin-top: 34rpx;
				font-weight: bold;
			}
		}
	}

	.navTop {
		display: flex;
		justify-content: space-around;
		align-items: center;
		color: #333;
		margin-top: -60rpx;
		padding: 0 120rpx;

		.fonts {
			font-size: 34rpx;
		}

		>view {
			position: relative;

			.xian {
				width: 58rpx;
				height: 6rpx;
				background: #FFAA62;
				border-radius: 2rpx 2rpx 2rpx 2rpx;
				position: absolute;
				bottom: -16rpx;
			}
		}

	}

	.listStyle {
		padding: 28rpx;
		padding-top: 50rpx;
		width: 100%;

		.listrigth,
		.listrigth2 {
			display: flex;
			justify-content: space-between;
			align-items: center;
			// padding-left: 32rpx;
		}

		.listrigth {
			.colorStyle{
				color: #FF7127;
			}
			>view {
				font-weight: bold;
				font-size: 32rpx;
				color: #333333;
			}
		}

		.listrigth2 {
			margin-top: 6rpx;

			>view {
				font-weight: 500;
				font-size: 24rpx;
				color: #666666;
			}
		}
	}
</style>